%define anolis_release 2

# what it's called on pypi
%global srcname websocket-client
# what it's imported as
%global libname websocket

%global common_description %{expand:
websocket-client is a WebSocket client for Python.  It provides access to low
level APIs for WebSockets.  websocket-client implements version hybi-13 of the
WebSocket protocol.  This client does not currently support the
permessage-deflate extension from RFC 7692.}

Name:               python-%{srcname}
Version:            1.3.3
Release:            %{anolis_release}%{dist}

Summary:            WebSocket client for python
License:            ASL 2.0
URL:                https://github.com/websocket-client/websocket-client
Source0:            %pypi_source
BuildArch:          noarch

%description %{common_description}

%package -n python3-%{srcname}
Summary:            %{summary}
BuildRequires:      python3-devel
BuildRequires:      %{py3_dist pytest}

Conflicts:          python2-websocket-client <= 0.40.0-4

%description -n python3-%{srcname} %{common_description}

%package -n python3-%{srcname}-doc
Summary:        Documentation files for %{name}
Requires:       python3-%{srcname} = %{EVR}
BuildArch:      noarch

%description -n python3-%{srcname}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{libname}

%check
%pytest websocket/tests

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%{_bindir}/wsdump

%files -n python3-%{srcname}-doc
%doc README.md ChangeLog

%changelog
* Tue Mar 26 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.3.3-2
- Rebuild with python3.11

* Tue Mar 28 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.3.3-1
- Init package from upstream
